Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [SLE] updating to PHP5
  • From: "Andrei Verovski (aka MacGuru)" <andreil1@xxxxxxxxxxx>
  • Date: Sun, 16 Apr 2006 17:32:59 +0300
  • Message-id: <200604161732.59396.andreil1@xxxxxxxxxxx>
On Sunday 16 April 2006 14:56, Ricardo Rodríguez - XEN wrote:
> Far clear. Thanks. Please, before starting to mess with the XAMPP
> installation, could I select not to install MySQL stuff as far as it is
> already installed and updated in the concerned Linux system? Thanks!

Unfortunately, not, you have to install xamp with mysql for 2 reasons:

1) It comes as all-in-one package.

2) For the reason I did not understand php scripts running under xamp can
access mysql which comes with xamp, and not mysql which comes with SuSE. I
really have no idea why, since both mysql daemons listen port 5432, and while
I had one running, another was shut down to avoid port conflicts. May be
someone with better knowldge of this stuff can tell why.

PS. BTW, do not forget to put short script in /etc/init.d launching xamp at
startup, otherwise each time you have to do it manually.


< Previous Next >